package TestingSystem.SAPFOR.SapforPackage;
import Common.Constants;
import Common.Database.DBObject;
import Common.Global;
import TestingSystem.Common.TestingPackage.TestingPackage;
import TestingSystem.SAPFOR.Json.SapforTasksPackage_json;
import com.sun.org.glassfish.gmbal.Description;

import java.io.File;
public class SapforPackage extends TestingPackage<SapforTasksPackage_json> {
    @Description("DEFAULT ''")
    public String testsNames = "";//имена тестов через ; для отображения
    //---
    public int sapforId = Constants.Nan; // так как сапфор на машине.
    @Description("DEFAULT ''")
    public String testsIds = "";
    @Description("DEFAULT ''")
    public String configurationsIds = "";
    public SapforPackage(){

    }
    public SapforPackage(SapforPackage sapforPackage) {
        SynchronizeFields(sapforPackage);
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        SapforPackage p = (SapforPackage) src;
        testsNames = p.testsNames;
        sapforId = p.sapforId;
        testsIds = p.testsIds;
        configurationsIds = p.configurationsIds;
    }
    @Override
    public Class getJsonClass() {
        return SapforTasksPackage_json.class;
    }
    @Override
    public File getHomeDirectory() {
        return Global.SapforPackagesDirectory;
    }
}
